%define		status		stable
%define		pearname	PHP_TokenStream
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Wrapper around PHP's tokenizer extension
Name:		php-phpunit-PHP_TokenStream
Version:	1.2.2
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.phpunit.de/get/%{pearname}-%{version}.tgz
# Source0-md5:	32bff1c54a4186f42fcc3be77e47006f
URL:		http://pear.phpunit.de/
BuildRequires:	php-channel(pear.phpunit.de)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.9.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(tokenizer)
Requires:	php-channel(pear.phpunit.de)
Requires:	php-ezc-ConsoleTools >= 1.6
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wrapper around PHP's tokenizer extension.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{php_pear_dir}}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc docs/PHP_TokenStream/*
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/PHP/Token.php
%{php_pear_dir}/PHP/Token
%changelog
* Sun Aug 10 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-phpunit-PHP_TokenStream.git;a=log;h=master

* Sun Aug 10 2014 Elan Ruusamäe <glen@delfi.ee> 1c7b574
- up to 1.2.2

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 17b1988
- up to 1.1.5

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 9d923fa
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> d710cde
- updated to: 1.1.3

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> dc01cb8
- up to 1.1.0

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 57e5069
- updated to: 1.0.1

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 71654ec
- fix url

* Wed Oct 20 2010 Elan Ruusamäe <glen@pld-linux.org> 32fa076
- initial from pear make-rpm-spec

